Loading...
Searching...
No Matches
field_basic< T, M >::iterator

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::field_basic< T, M >::iterator

Definition at line 521 of file field.h.

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef vec< T, M >::size_type | size_type
typedef T | value_type
typedef T & | reference
typedef T * | pointer
typedef std::ptrdiff_t | difference_type

## Public Member Functions

| iterator ()
| iterator (iter_t blk_dis_iub_iter, data_t u, data_t b, size_type first_iu, size_type first_ib)
| iterator (iter_t blk_dis_iub_iter, size_type blk_dis_iub_incr, data_t u, data_t b, size_type first_iu, size_type first_ib)
void | set_increment (size_type incr)
reference | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator+= (difference_type n)
iterator | operator+ (difference_type n) const
reference | operator[] (size_type n) const
bool | operator== (const iterator &j) const
bool | operator!= (const iterator &j) const

## Public Attributes

iter_t | _blk_dis_iub_iter
size_type | _blk_dis_iub_incr
data_t | _u
data_t | _b
size_type | _first_iu
size_type | _first_ib

## Protected Types

typedef vec< T, M >::iterator | data_t
typedef disarray< space_pair_type, M >::const_iterator | iter_t

## Member Typedef Documentation

## data_t

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::iterator data_t

protected

Definition at line 523 of file field.h.

## iter_t

template<class T , class M = rheo_default_memory_model>

typedef disarray<space_pair_type,M>::const_iterator iter_t

protected

Definition at line 524 of file field.h.

## iterator_category

template<class T , class M = rheo_default_memory_model>

typedef std::forward_iterator_tag iterator_category

Definition at line 529 of file field.h.

## size_type

template<class T , class M = rheo_default_memory_model>

typedef vec<T,M>::size_type size_type

Definition at line 530 of file field.h.

## value_type

template<class T , class M = rheo_default_memory_model>

typedef T value_type

Definition at line 531 of file field.h.

## reference

template<class T , class M = rheo_default_memory_model>

typedef T& reference

Definition at line 532 of file field.h.

## pointer

template<class T , class M = rheo_default_memory_model>

typedef T* pointer

Definition at line 533 of file field.h.

## difference_type

template<class T , class M = rheo_default_memory_model>

typedef std::ptrdiff_t difference_type

Definition at line 534 of file field.h.

## Constructor & Destructor Documentation

## iterator() [1/3]

template<class T , class M = rheo_default_memory_model>

iterator | ( |  | ) |

Definition at line 538 of file field.h.

## iterator() [2/3]

template<class T , class M = rheo_default_memory_model>

iterator | ( | iter_t | blk_dis_iub_iter,
|  | data_t | u,
|  | data_t | b,
|  | size_type | first_iu,
|  | size_type | first_ib
| ) |  |

Definition at line 546 of file field.h.

## iterator() [3/3]

template<class T , class M = rheo_default_memory_model>

iterator | ( | iter_t | blk_dis_iub_iter,
|  | size_type | blk_dis_iub_incr,
|  | data_t | u,
|  | data_t | b,
|  | size_type | first_iu,
|  | size_type | first_ib
| ) |  |

Definition at line 554 of file field.h.

## Member Function Documentation

## set_increment()

template<class T , class M = rheo_default_memory_model>

void set_increment | ( | size_type | incr | ) |

Definition at line 563 of file field.h.

## operator*()

template<class T , class M = rheo_default_memory_model>

reference operator* | ( |  | ) | const

Definition at line 567 of file field.h.

## operator++() [1/2]

template<class T , class M = rheo_default_memory_model>

iterator & operator++ | ( |  | ) |

Definition at line 573 of file field.h.

## operator++() [2/2]

template<class T , class M = rheo_default_memory_model>

iterator operator++ | ( | int |  | ) |

Definition at line 574 of file field.h.

## operator+=()

template<class T , class M = rheo_default_memory_model>

iterator & operator+= | ( | difference_type | n | ) |

Definition at line 575 of file field.h.

## operator+()

template<class T , class M = rheo_default_memory_model>

iterator operator+ | ( | difference_type | n | ) | const

Definition at line 576 of file field.h.

## operator[]()

template<class T , class M = rheo_default_memory_model>

reference operator[] | ( | size_type | n | ) | const

Definition at line 577 of file field.h.

## operator==()

template<class T , class M = rheo_default_memory_model>

bool operator== | ( | const iterator & | j | ) | const

Definition at line 581 of file field.h.

## operator!=()

template<class T , class M = rheo_default_memory_model>

bool operator!= | ( | const iterator & | j | ) | const

Definition at line 582 of file field.h.

## Member Data Documentation

## _blk_dis_iub_iter

template<class T , class M = rheo_default_memory_model>

iter_t _blk_dis_iub_iter

Definition at line 586 of file field.h.

## _blk_dis_iub_incr

template<class T , class M = rheo_default_memory_model>

size_type _blk_dis_iub_incr

Definition at line 587 of file field.h.

## _u

template<class T , class M = rheo_default_memory_model>

data_t _u

Definition at line 588 of file field.h.

## _b

template<class T , class M = rheo_default_memory_model>

data_t _b

Definition at line 589 of file field.h.

## _first_iu

template<class T , class M = rheo_default_memory_model>

size_type _first_iu

Definition at line 590 of file field.h.

## _first_ib

template<class T , class M = rheo_default_memory_model>

size_type _first_ib

Definition at line 590 of file field.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field.h